## Update Endpoint Health Check `client.diagnostics.endpointHealthchecks.update(stringid, EndpointHealthcheckUpdateParamsparams, RequestOptionsoptions?): EndpointHealthcheckUpdateResponse` **put** `/accounts/{account_id}/diagnostics/endpoint-healthchecks/{id}` Update a Endpoint Health Check. ### Parameters - `id: string` UUID. - `params: EndpointHealthcheckUpdateParams` - `account_id: string` Path param: Identifier - `check_type: "icmp"` Body param: type of check to perform - `"icmp"` - `endpoint: string` Body param: the IP address of the host to perform checks against - `name?: string` Body param: Optional name associated with this check ### Returns - `EndpointHealthcheckUpdateResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const endpointHealthcheck = await client.diagnostics.endpointHealthchecks.update( 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', check_type: 'icmp', endpoint: '203.0.113.1', }, ); console.log(endpointHealthcheck.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ```